<div class="modal-dialog modal-dialog-centered modal-lg" role="document" style="padding:0px;margin:0px;">
    <div class="modal-content" style="padding:0px;margin:0px;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Pagos</h5>
        <button mat-icon-button aria-label="Close dialog" (click)="dialogRef.close()">
      <mat-icon>close</mat-icon>
    </button>
      </div>
      <div class="modal-body" style="overflow-y:scroll;height: 350px;">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-6 align-items-center">
              <mat-form-field class="example-full-width">
                <mat-label>Fecha</mat-label>
                <input matInput [matDatepicker]="pickerPago" [(ngModel)]="fecha">
                <mat-datepicker-toggle matSuffix [for]="pickerPago"></mat-datepicker-toggle>
                <mat-datepicker #pickerPago></mat-datepicker>
              </mat-form-field>
            </div>
            <div class="col-md-6 align-items-center">
              <mat-form-field class="example-full-width mb-3">
                <mat-label>No. Ref.</mat-label>
                <input type="number" matInput [(ngModel)]="noref">
              </mat-form-field>
            </div>
            <div class="col-md-12 align-items-center">
              <mat-form-field class="example-full-width" appearance="fill">
                <mat-select required [(ngModel)]="plani">
                  <mat-option *ngFor="let plan of planes" value="{{plan.idPlanTratamiento}}" (click)="obtenerplan(plan.idPlanTratamiento);">
                    {{plan.stringplanes}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th class="text-left">Procedimiento / Servicio</th>
                      <th class="text-center">Cantidad</th>
                      <th class="text-center">Valor</th>
                      <th class="text-center">Desc %</th>
                      <th class="text-center">Impuestos</th>
                      <th class="text-center">Subtotal</th>
                      <th class="text-center">Total</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let plane of plan">
                      <td>{{plane.stringplanes}}</td>
                      <td>{{plane.Cantidad}}</td>
                      <td>{{plane.valor}}</td>
                      <td>{{plane.Descuento}}</td>
                      <td>-</td>
                      <td>{{plane.Subtotalfinal}}</td>
                      <td>{{plane.TotalFinal}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="col-md-12">
              <div class="pull-right text-right">
                <p>Sub total: ${{totalfinal}}</p>
                <p>Total impuestos: $0 </p>
                <p>A pagar : ${{totalfinal}} </p>
                <p>Debe : ${{debe}} </p>
              </div>
            </div>
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th class="text-left">Método</th>
                      <th class="text-left">Total a pagar</th>
                      <th class="text-left">Importe de pago</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let pago of arraypagos">
                      <td>{{pago.metodo}}</td>
                      <td>{{pago.total}}</td>
                      <td>{{pago.importe}}</td>
                    </tr>
                    <tr>
                      <td class="text-left">
                        <input matInput placeholder="Método"  [(ngModel)]="efectivo" style="border:1px solid gray;border-radius: 5px;">
                      </td>
                      <td class="text-left">
                        <input matInput placeholder="Total" type="number"  [(ngModel)]="total" style="border:1px solid gray;border-radius: 5px;">
                      </td>
                      <td class="text-left">
                        <input matInput placeholder="Importe" type="number"  [(ngModel)]="importe" style="border:1px solid gray;border-radius: 5px;">
                      </td>
                    </tr>
                    <tr>
                      <td><button mat-raised-button color="primary" (click)="agregarpago()">+Añadir</button></td>
                      <td></td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer text-left">
        <button mat-raised-button color="warn"  tabindex="-1" class="mr-5">
          Cancelar
        </button>
        <button mat-raised-button color="primary" (click)="guardarbase()">Guardar</button>
      </div>
    </div>
  </div>